Bug 57278 - iproute tc lacks ingress capability
iproute tc lacks ingress capability
Product: Red Hat Linux
Classification: Retired
Component: iproute (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-12-08 08:36 EST by Henrik Nordstrom
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-08 08:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henrik Nordstrom 2001-12-08 08:36:04 EST
From Bugzilla Helper:

Description of problem:
The iproute binary configuration lacks support for diffserv and atm.

diffserv needs to be enabled for ingress traffic shaping.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. tc qdisc add dev eth0 handle ffff:0 ingress

Actual Results:  RTNETLINK answers: No such file or directory

Expected Results:  No error, instead the ingress queue disipline should
have been added to eth0.

Additional info:

The RedHat kernel is compiled with all required support, but as the iproute
package does not have support for diffserv (and atm) enabled the use of
some of these kernel features is impossible without compiling iproute

These features are controlled in the source file iproute2/Config.
Comment 1 Phil Knirsch 2001-12-08 08:47:42 EST
Very reasonable request, will be taken care of in one of the next builds.

Read ya, Phil
Comment 2 Phil Knirsch 2002-05-27 09:02:00 EDT
I've enabled diffserv support now. Atm on the other hand causes trouble as we
don't include the atm library that is required by it in our distribution.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.